#!/usr/bin/perl
# A simple script for making releases of LibUCW
-# (c) 2012 Martin Mares <mj@ucw.cz>
+# (c) 2012--2014 Martin Mares <mj@ucw.cz>
use strict;
use warnings;
if ($r->{"do_upload"}) {
my $tdir = $r->{"TESTDIR"};
if (defined $tdir) {
+ print "Generating documentation\n";
+ `cd $tdir && make install-libucw-docs INSTALL_DOC_DIR=../doc`;
+ die if $?;
print "Upload of documentation\n";
$r->Confirm;
- system qw(rsync -avz --delete), "$tdir/obj/ucw/doc/", qw(jw:/var/www/libucw/doc/ --exclude=*.deflist --exclude=*.txt);
+ system qw(rsync -avz --delete maint/tmp/doc/ucw/ jw:/var/www/libucw/doc/);
die if $@;
} else {
print "WARNING: With --notest, no documentation is published!\n";